import "../chunk-W7SXHTUN.js";
import "../chunk-UMUHNSGZ.js";
import "../chunk-WQPRL26Y.js";
import "../chunk-6NLXLMPR.js";
import "../chunk-3ONBXSUJ.js";
import "../chunk-TECAZNSQ.js";
import "../chunk-HIX6EHLQ.js";
import "../chunk-RSB2DP4K.js";
import "../chunk-HOPWS6D4.js";
import "../chunk-OWFULLVR.js";
import "../chunk-4NLYRTOG.js";
import "../chunk-KEZYXVUA.js";
import "../chunk-VWNQ7U34.js";
import "../chunk-DTXRCUYA.js";
import "../chunk-WN522GEW.js";
import "../chunk-VOJCHAFJ.js";
import "../chunk-MLDXNQ36.js";
import "../chunk-3KKFLSLG.js";
import "../chunk-O4GTSXBN.js";
import "../chunk-PLBFBDKH.js";
import "../chunk-2H4XRKWS.js";
import "../chunk-NSJKG6AJ.js";
import "../chunk-XBBCTS7U.js";
import "../chunk-2OUSR2BE.js";
import "../chunk-ZDZ4EQHN.js";
import "../chunk-PZP2B3FC.js";
import "../chunk-LCRTQAGZ.js";
import "../chunk-2HWPZ6ZE.js";
import "../chunk-G5QDKKDC.js";
import "../chunk-73CVRDI7.js";
import "../chunk-HLRQ5H3N.js";
import "../chunk-DGP32WEQ.js";
import "../chunk-EDNCPFSF.js";
import "../chunk-3KQS63H6.js";
import "../chunk-XC5GAA5P.js";
import "../chunk-5DS3NT57.js";
import "../chunk-VQEYIAV2.js";
import "../chunk-DVBRAJ3X.js";
import "../chunk-SZJLXMYP.js";
import "../chunk-GKKLBSFA.js";
import "../chunk-RNL46FQ3.js";
import "../chunk-MWUFUBY5.js";
import "../chunk-QUQRUDWG.js";
import "../chunk-X56GIAWQ.js";
import "../chunk-FLFB2K34.js";
import "../chunk-264HKVNG.js";
import "../chunk-XOAKJFNZ.js";
import "../chunk-A7SUGWC3.js";
import "../chunk-KT4MUYOU.js";
import "../chunk-WJUQ3VXF.js";
import "../chunk-FL5CT6MC.js";
import "../chunk-LAWEUL6N.js";
import "../chunk-3YFOOUF5.js";
import "../chunk-TSCDX4AS.js";
import "../chunk-IGBQSN6M.js";
import "../chunk-D6B6MYVG.js";
import "../chunk-MLCD7TOL.js";
import "../chunk-EW6FHLFK.js";
import "../chunk-2VA3UGW7.js";
import "../chunk-XZC66A25.js";
import "../chunk-STE4YAST.js";
import "../chunk-TFZ4P4OR.js";
import "../chunk-5OVSRAPG.js";
import "../chunk-OSX4VQOR.js";
import "../chunk-7QYVSWCZ.js";
import "../chunk-XWEP5CLU.js";
import "../chunk-UO7L7NBK.js";
import "../chunk-HST4VI64.js";
import "../chunk-JRC62CQG.js";
import "../chunk-TRCJY7KG.js";
import "../chunk-L324TYGN.js";
import {
  arraySorted
} from "../chunk-K7Z2KDW3.js";
import "../chunk-GY34N3KU.js";
import "../chunk-QUKKMPRF.js";
import "../chunk-CDC2UKQU.js";
import "../chunk-XYJV3SSU.js";
import "../chunk-JZBMDET5.js";
import "../chunk-BFL67QFN.js";
import "../chunk-RSLTBO5X.js";
import "../chunk-EJGW3W3K.js";
import "../chunk-EBLXU5RX.js";
import "../chunk-PN34O4SN.js";
import {
  LocalStorage
} from "../chunk-5YZ4MAM4.js";
import "../chunk-I45WP5PM.js";
import "../chunk-QV2QPYMW.js";
import "../chunk-MIZOLME5.js";
import "../chunk-AQUNU3KH.js";
import "../chunk-YX6CL4KH.js";
import "../chunk-CFICINSP.js";
import "../chunk-V5ZQ2SFQ.js";
import "../chunk-UOAPXGA4.js";
import "../chunk-EAYWSLQT.js";
import "../chunk-I7BWSAN6.js";

// src/browser/localstorage.spec.ts
describe("localStorage", () => {
  it("should store data and read it again", () => {
    {
      const db = new LocalStorage({ name: "test" });
      db.clear();
      expect(db.allKeys()).toEqual([]);
      db.setItem("a", 1);
      db.setItem("b", { complex: [1, 2, "3"] });
      db.setItem("c", [0, 9, 8]);
      db.setItem("c", "Again!");
      expect(arraySorted(db.allKeys())).toEqual(["a", "b", "c"]);
      expect(db.getItem("a")).toEqual(1);
      expect(db.getItem("b")).toEqual({ complex: [1, 2, "3"] });
      expect(db.getItem("c")).toEqual("Again!");
    }
    {
      const db = new LocalStorage({ name: "test" });
      expect(arraySorted(db.allKeys())).toEqual(["a", "b", "c"]);
      expect(db.getItem("a")).toEqual(1);
      expect(db.getItem("b")).toEqual({ complex: [1, 2, "3"] });
      expect(db.getItem("c")).toEqual("Again!");
      db.removeItem("b");
      expect(arraySorted(db.allKeys())).toEqual(["a", "c"]);
      db.clear();
      expect(db.allKeys()).toEqual([]);
    }
  });
});
//# sourceMappingURL=localstorage.spec.js.map