"use strict"; function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } }

var _chunkXXZNZMN3cjs = require('../../chunk-XXZNZMN3.cjs');


var _chunkX5MWXWOAcjs = require('../../chunk-X5MWXWOA.cjs');


var _chunkQA423WE4cjs = require('../../chunk-QA423WE4.cjs');
require('../../chunk-7VDQ6CKY.cjs');
require('../../chunk-DRU33ZUG.cjs');
require('../../chunk-34HB56WE.cjs');
require('../../chunk-XTDX3HZA.cjs');
require('../../chunk-EST7HNFV.cjs');
require('../../chunk-RHWKNEUH.cjs');
require('../../chunk-64ZMDALJ.cjs');
require('../../chunk-N5KTMDVO.cjs');
require('../../chunk-BOHPEXDM.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-5BF2LEAU.cjs');
require('../../chunk-2AGPRCO5.cjs');
require('../../chunk-6R46PMWT.cjs');
require('../../chunk-6AARQEB3.cjs');



var _chunkS4V3EGNScjs = require('../../chunk-S4V3EGNS.cjs');
require('../../chunk-HHZVPIBD.cjs');
require('../../chunk-SX5YQHZO.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-TZXDYORA.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-VAG3XY63.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/msg/messages.spec.ts
describe("messages", () => {
  it("should show the magic of proxies ", async () => {
    const p = new Proxy({}, {
      get(_target, _name) {
        return (...args) => {
          return _nullishCoalesce(args[0], () => ( 0));
        };
      }
    });
    expect(await p.ping(await p.ping(2))).toBe(2);
  });
  it("should do hub thing", async () => {
    const key = await _chunkS4V3EGNScjs.deriveKeyPbkdf2.call(void 0, _chunkS4V3EGNScjs.randomUint8Array.call(void 0, 20));
    const encoder = new (0, _chunkX5MWXWOAcjs.CryptoEncoder)(key);
    const [clientChannel, serverChannel] = _chunkQA423WE4cjs.createLocalChannelPair.call(void 0, );
    const serverHub = _chunkXXZNZMN3cjs.useMessageHub.call(void 0, { channel: serverChannel, encoder });
    serverHub.listen({
      async ping(value) {
        expect(value).toBe(2);
        return value;
      }
    });
    serverHub.listen({
      async aping(value) {
        return new Promise((resolve) => setTimeout(() => resolve(value), 500));
      }
    });
    const clientHub = _chunkXXZNZMN3cjs.useMessageHub.call(void 0, { channel: clientChannel, encoder });
    const client = clientHub.send();
    const x = await client.aping(1);
    const y = await client.aping("H\xE4llo W\u{1F468}\u200D\u{1F469}\u200D\u{1F467}\u200D\u{1F466}rld");
    expect(x).toBe(1);
    expect(y).toBe("H\xE4llo W\u{1F468}\u200D\u{1F469}\u200D\u{1F467}\u200D\u{1F466}rld");
    await client.ping(2);
  });
});
//# sourceMappingURL=messages.spec.cjs.map