"use strict";require('../chunk-NU2LARFE.cjs');
require('../chunk-5G52PYZN.cjs');
require('../chunk-BF42XH7M.cjs');
require('../chunk-HFFWV7UQ.cjs');
require('../chunk-MFR6AGTJ.cjs');
require('../chunk-F2L2RVEN.cjs');
require('../chunk-34HB56WE.cjs');
require('../chunk-XTDX3HZA.cjs');
require('../chunk-EST7HNFV.cjs');
require('../chunk-RHWKNEUH.cjs');
require('../chunk-64ZMDALJ.cjs');


var _chunkN5KTMDVOcjs = require('../chunk-N5KTMDVO.cjs');
require('../chunk-BOHPEXDM.cjs');
require('../chunk-6T6PI6XG.cjs');
require('../chunk-5BF2LEAU.cjs');
require('../chunk-2AGPRCO5.cjs');
require('../chunk-6R46PMWT.cjs');
require('../chunk-6AARQEB3.cjs');
require('../chunk-S4V3EGNS.cjs');
require('../chunk-HHZVPIBD.cjs');










var _chunkSX5YQHZOcjs = require('../chunk-SX5YQHZO.cjs');
require('../chunk-UKD65B23.cjs');
require('../chunk-TZXDYORA.cjs');
require('../chunk-J42M6DF3.cjs');
require('../chunk-ZYPCVNSG.cjs');
require('../chunk-VAG3XY63.cjs');
require('../chunk-W3WUDQIC.cjs');
require('../chunk-YY4AHBBL.cjs');
require('../chunk-IMCDDJAJ.cjs');

// src/common/time.spec.ts
describe("time.spec", () => {
  it("should measure", async () => {
    const getDuration = _chunkSX5YQHZOcjs.duration.call(void 0, );
    await _chunkN5KTMDVOcjs.sleep.call(void 0, 50);
    const elapsed = getDuration();
    expect(/\d+.\d\d ms/.test(elapsed)).toBe(true);
  });
  it("should parse valid date strings", () => {
    const date1 = _chunkSX5YQHZOcjs.parseDate.call(void 0, "2022-01-01");
    const date2 = _chunkSX5YQHZOcjs.parseDate.call(void 0, "2022-01-01T12:00:00");
    expect(date1).toEqual(new Date(2022, 0, 1, 12, 0));
    expect(date2).toEqual(/* @__PURE__ */ new Date("2022-01-01T12:00:00"));
  });
  it("should return undefined for invalid date strings", () => {
    const date = _chunkSX5YQHZOcjs.parseDate.call(void 0, "invalid-date");
    expect(date).toBeUndefined();
  });
  it("should return the input date if it is already a Date object", () => {
    const inputDate = /* @__PURE__ */ new Date();
    const date = _chunkSX5YQHZOcjs.parseDate.call(void 0, inputDate);
    expect(date).toBe(inputDate);
  });
  it("should convert dates", () => {
    const dateLocal = /* @__PURE__ */ new Date("2022-01-01T12:00:00");
    expect(_chunkSX5YQHZOcjs.datetimeToLocal.call(void 0, _chunkSX5YQHZOcjs.datetimeToUTC.call(void 0, dateLocal))).toEqual(dateLocal);
  });
  it("should return the current timestamp in milliseconds", () => {
    const timestamp = _chunkSX5YQHZOcjs.getTimestamp.call(void 0, );
    expect(typeof timestamp).toBe("number");
    expect(timestamp).toBeCloseTo(Date.now(), -2);
  });
  it("should return the current timestamp in seconds", () => {
    const timestampInSeconds = _chunkSX5YQHZOcjs.getTimestampInSeconds.call(void 0, );
    expect(typeof timestampInSeconds).toBe("number");
    expect(timestampInSeconds).toBeCloseTo(Math.floor(Date.now() / 1e3), -2);
  });
  it("should convert seconds to a Date object", () => {
    const seconds = 1640995200;
    const date = _chunkSX5YQHZOcjs.dateFromSeconds.call(void 0, seconds);
    expect(date).toEqual(/* @__PURE__ */ new Date("2022-01-01T00:00:00.000Z"));
  });
  it("should format milliseconds", () => {
    const milliseconds = 1234;
    const formatted = _chunkSX5YQHZOcjs.formatMilliseconds.call(void 0, milliseconds);
    expect(formatted).toBe("1.2 s");
  });
  it("should return the current timestamp using performance.now if available", () => {
    const timestamp = _chunkSX5YQHZOcjs.getPerformanceTimestamp.call(void 0, );
    expect(typeof timestamp).toBe("number");
    expect(timestamp).toBeCloseTo(typeof performance !== "undefined" ? performance.now() : Date.now(), -2);
  });
  it("should measure the duration of a function", async () => {
    const getDuration = _chunkSX5YQHZOcjs.duration.call(void 0, );
    await _chunkN5KTMDVOcjs.sleep.call(void 0, 50);
    const elapsed = getDuration();
    expect(/\d+.\d\d ms/.test(elapsed)).toBe(true);
  });
  it("should convert a date to UTC time", () => {
    const date = /* @__PURE__ */ new Date("2022-01-01T12:00:00");
    const utcDate = _chunkSX5YQHZOcjs.datetimeToUTC.call(void 0, date);
    expect(utcDate).toEqual(/* @__PURE__ */ new Date("2022-01-01T12:00:00Z"));
  });
});
//# sourceMappingURL=time.spec.cjs.map